## net.i2p.router.web
Class ReseedHandler

    java.lang.Object
      net.i2p.router.web.ReseedHandler

    public class ReseedHandler

extends java.lang.Object

Handler to deal with reseed requests. This reseed from the URL http://dev.i2p.net/i2pdb2/ unless the I2P configuration property "i2p.reseedURL" is set. It always writes to ./netDb/, so don't mess with that.

Nested Class Summary
`class` `ReseedHandler.ReseedRunner`

Constructor Summary
`ReseedHandler()`
`ReseedHandler(RouterContext ctx)`

Method Summary
`static void` `main(java.lang.String[] args)`
`void` `requestReseed()`
`void` `setContextId(java.lang.String contextId)` Configure this bean to query a particular router context
`void` `setReseedNonce(java.lang.String nonce)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReseedHandler

    public ReseedHandler()

### ReseedHandler

    public ReseedHandler(RouterContext ctx)

Method Detail

### setContextId

    public void setContextId(java.lang.String contextId)

  Configure this bean to query a particular router context

  Parameters:
    `contextId` - begging few characters of the routerHash, or null to pick the first one we come across.

### setReseedNonce

    public void setReseedNonce(java.lang.String nonce)

### requestReseed

    public void requestReseed()

### main

    public static void main(java.lang.String[] args)